# Seems not to build with -j24, we choose -j6
%ifarch aarch64
%define _smp_ncpus_max 2
%else
%define _smp_ncpus_max 6
%endif

%define oname webkitgtk

%define api 4.0

%define javascriptcoregtk_major 18
%define libjavascriptcoregtk %mklibname javascriptcoregtk %{api} %{javascriptcoregtk_major}
%define javascriptcoregtk_gir %mklibname javascriptcore-gir %{api}

%define webkit2_major 37
%define libwebkit2 %mklibname webkit2gtk %{api} %{webkit2_major}
%define webkit2_gir %mklibname webkit2gtk-gir %{api}

%define develname %mklibname -d webkit2

Name:		webkit2
Version:	2.28.2
Release:	%mkrel 1
Summary:	GTK Web content engine library
License:	BSD and LGPLv2+
Group:		System/Libraries
Source0:	http://webkitgtk.org/releases/%{oname}-%{version}.tar.xz
# Don't use the shebang, but point straight to python 3
Patch1:		no-env-shebang.patch
URL:		http://www.webkitgtk.org
BuildRequires:	bison
BuildRequires:	bubblewrap
BuildRequires:	cmake
BuildRequires:	gnupg2
BuildRequires:	gperf
BuildRequires:	gtk-doc
BuildRequires:	hyphen-devel
BuildRequires:	ninja-build
BuildRequires:	python3
BuildRequires:	ruby
BuildRequires:	xdg-dbus-proxy

BuildRequires:	pkgconfig(atspi-2)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(enchant-2)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(geoclue-2.0)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(glesv2)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-bad-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(harfbuzz)
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libopenjp2)
BuildRequires:	pkgconfig(libpcre)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libseccomp)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(libwoff2dec)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(upower-glib)
BuildRequires:	pkgconfig(wayland-client)
BuildRequires:	pkgconfig(wayland-egl)
BuildRequires:	pkgconfig(wayland-server)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(python3)

# GTK+ 2 plugins support was removed in 2.25.3
Obsoletes:      webkit2-plugin-process-gtk2 < 2.25.3

%description
WebKitGTK is the port of the portable web rendering engine WebKit to the
GTK platform.

%package	jsc
Summary:	JavaScriptCore shell for WebKit GTK
Group:		Development/GNOME and GTK+

%description	jsc
jsc is a shell for JavaScriptCore, WebKit's JavaScript engine. It
allows you to interact with the JavaScript engine directly.

%package -n    %{libwebkit2}
Summary:       GTK port of WebKit web browser engine
Group:         System/Libraries
Requires:      %{name} >= %{version}

%description -n        %{libwebkit2}
The GTK port of WebKit is intended to provide a browser component
primarily for users of the portable GTK UI toolkit on platforms like
Linux.

%package -n	%{libjavascriptcoregtk}
Summary:        GTK port of WebKit web browser engine
Group:          System/Libraries

%description -n	%{libjavascriptcoregtk}
The GTK port of WebKit is intended to provide a browser component
primarily for users of the portable GTK UI toolkit on platforms like
Linux.

%package -n	%{develname}
Summary:	Development files for WebKit GTK port
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libwebkit2gtk-devel = %{version}-%{release}
Requires:	%{libjavascriptcoregtk} = %{version}
Requires:	%{libwebkit2} = %{version}
Requires:	%{javascriptcoregtk_gir} = %{version}
Requires:	%{webkit2_gir} = %{version}
Requires:	%{name}-jsc = %{version}

%description -n	%{develname}
The %{name}-devel package contains libraries, build data, and header
files for developing applications that use %{name}.

%package -n	%{javascriptcoregtk_gir}
Summary:        GObject Introspection interface description for JSCore
Group:          System/Libraries
Requires:       %{libjavascriptcoregtk} = %{version}-%{release}

%description -n	%{javascriptcoregtk_gir}
GObject Introspection interface description for JSCore.

%package -n	%{webkit2_gir}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libwebkit2} = %{version}-%{release}

%description -n	%{webkit2_gir}
GObject Introspection interface description for WebKit.

%prep
%setup -qn %{oname}-%{version}
%autopatch -p1

%build
# Decrease debuginfo verbosity to reduce memory consumption even more
%global optflags %(echo %{optflags} | sed 's/-g /-g1 /')

%cmake \
    -DPORT=GTK \
    -DCMAKE_C_FLAGS_RELWITHDEBINFO="-DNDEBUG" \
    -DCMAKE_CXX_FLAGS_RELWITHDEBINFO="-DNDEBUG" \
    -DPYTHON_EXECUTABLE=%{_bindir}/python3 \
    -DUSE_WPE_RENDERER=OFF \

%make_build

%install
%make_install -C build

%find_lang WebKit2GTK-%{api}

%files -f WebKit2GTK-%{api}.lang
%dir %{_libexecdir}/webkit2gtk-%{api}/
%{_libexecdir}/webkit2gtk-%{api}/WebKitNetworkProcess
%{_libexecdir}/webkit2gtk-%{api}/WebKitPluginProcess
%{_libexecdir}/webkit2gtk-%{api}/WebKitWebProcess
%dir %{_libdir}/webkit2gtk-%{api}/
%{_libdir}/webkit2gtk-%{api}/injected-bundle/libwebkit2gtkinjectedbundle.so
%{_bindir}/WebKitWebDriver

%files jsc
%{_libexecdir}/webkit2gtk-%{api}/jsc

%files -n %{libjavascriptcoregtk}
%{_libdir}/libjavascriptcoregtk-%{api}.so.%{javascriptcoregtk_major}
%{_libdir}/libjavascriptcoregtk-%{api}.so.%{javascriptcoregtk_major}.*

%files -n %{libwebkit2}
%{_libdir}/libwebkit2gtk-%{api}.so.%{webkit2_major}
%{_libdir}/libwebkit2gtk-%{api}.so.%{webkit2_major}.*

%files -n %{develname}
%{_includedir}/webkitgtk-%{api}
%{_libdir}/*-%{api}.so
%{_libdir}/pkgconfig/*-%{api}.pc
%{_datadir}/gir-1.0/*-%{api}.gir

%files -n %{javascriptcoregtk_gir}
%{_libdir}/girepository-1.0/JavaScriptCore-%{api}.typelib

%files -n %{webkit2_gir}
%{_libdir}/girepository-1.0/WebKit2-%{api}.typelib
%{_libdir}/girepository-1.0/WebKit2WebExtension-%{api}.typelib


%changelog
* Mon Apr 27 2020 luigiwalser <luigiwalser> 2.28.2-1.mga7
+ Revision: 1572531
- 2.28.2
- 2.28.1
+ ns80 <ns80>
- new version 2.28.0 (mga#26340)
- new version 2.26.4 (mga#26197)
- new version 2.26.3
+ wally <wally>
- fix webkit2-plugin-process-gtk2 obsoletes (mga#25699)

* Wed Nov 06 2019 ns80 <ns80> 2.26.2-1.mga7
+ Revision: 1458368
- new version 2.26.2 (mga#25657)

* Tue Nov 05 2019 ns80 <ns80> 2.26.1-1.mga7
+ Revision: 1458149
- new version 2.26.1 (mga#25657)

* Thu Aug 29 2019 ns80 <ns80> 2.24.4-1.mga7
+ Revision: 1435021
- new version 2.24.4 (mga#25377)

* Wed May 22 2019 ns80 <ns80> 2.24.2-2.mga7
+ Revision: 1398852
- add again patch revert-sse2-requirement

* Tue May 21 2019 ns80 <ns80> 2.24.2-1.mga7
+ Revision: 1398749
- remove patch that reverted SSE2 requirement
+ luigiwalser <luigiwalser>
- 2.24.2

* Wed Apr 10 2019 ns80 <ns80> 2.24.1-1.mga7
+ Revision: 1387875
- add patch revert-sse2-requirement to allow builing for i586
- new version 2.24.1 that contains bug and security fixes (CVE-2019-6251)

* Fri Mar 29 2019 wally <wally> 2.24.0-3.mga7
+ Revision: 1381087
- split out WebKitPluginProcess2 to webkit2-plugin-process-gtk2 sub pkg to not not pull GTK2 stuff with main pkg (the whole WebKitPluginProcess2 could be dropped as only dying Flash seems to be using it)
- recommend webkit2-plugin-process-gtk2 with main pkg
- use RelWithDebInfo build type

* Thu Mar 21 2019 luigiwalser <luigiwalser> 2.24.0-2.mga7
+ Revision: 1379476
- 2.24.0
- switch to python3 (with patch from fedora)

* Wed Mar 20 2019 luigiwalser <luigiwalser> 2.22.7-1.mga7
+ Revision: 1379168
- 2.22.7

* Fri Feb 22 2019 wally <wally> 2.22.6-2.mga7
+ Revision: 1369371
- switch to enchant2

* Sun Feb 10 2019 luigiwalser <luigiwalser> 2.22.6-1.mga7
+ Revision: 1365100
- 2.22.6

* Sat Dec 29 2018 luigiwalser <luigiwalser> 2.22.5-2.mga7
+ Revision: 1346123
- rebuild for icu

* Sat Dec 15 2018 luigiwalser <luigiwalser> 2.22.5-1.mga7
+ Revision: 1341514
- 2.22.5

* Thu Nov 22 2018 ns80 <ns80> 2.22.4-1.mga7
+ Revision: 1333215
- new version 2.22.4 (mga#23615)

* Wed Oct 31 2018 ns80 <ns80> 2.22.3-2.mga7
+ Revision: 1326914
- 2.22.3

* Thu Oct 04 2018 ns80 <ns80> 2.22.2-2.mga7
+ Revision: 1317344
- bump rel

* Sat Sep 29 2018 luigiwalser <luigiwalser> 2.22.2-1.mga7
+ Revision: 1311048
- 2.22.2

* Tue Sep 04 2018 tv <tv> 2.22.0-1.mga7
+ Revision: 1256951
- new release

* Mon Aug 27 2018 ns80 <ns80> 2.20.5-1.mga7
+ Revision: 1254926
- new version 2.20.5 (mga#23408)

* Mon Aug 20 2018 tv <tv> 2.20.4-2.mga7
+ Revision: 1252950
- rebuild for new libicu

* Wed Aug 08 2018 luigiwalser <luigiwalser> 2.20.4-1.mga7
+ Revision: 1250030
- 2.20.4

* Sun Jun 17 2018 luigiwalser <luigiwalser> 2.20.3-1.mga7
+ Revision: 1237309
- remove upstreamed patch 1
- 2.20.3

* Wed May 09 2018 ns80 <ns80> 2.20.2-1.mga7
+ Revision: 1227876
- new version 2.20.2 that fixes CVE-2018-4200 (mga#23004)

* Tue Apr 17 2018 ns80 <ns80> 2.20.1-1.mga7
+ Revision: 1219643
- new version 2.20.1 (mga#22876)

* Wed Feb 14 2018 ovitters <ovitters> 2.19.90-1.mga7
+ Revision: 1201292
- new version 2.19.90

* Thu Jan 25 2018 ns80 <ns80> 2.18.6-1.mga7
+ Revision: 1196886
- new version 2.18.6 (mga#22452)

* Wed Jan 10 2018 luigiwalser <luigiwalser> 2.18.5-1.mga7
+ Revision: 1192107
- 2.18.5

* Fri Dec 29 2017 wally <wally> 2.18.4-2.mga7
+ Revision: 1187020
- rebuild for new icu

* Wed Dec 20 2017 ns80 <ns80> 2.18.4-1.mga7
+ Revision: 1183556
- new version 2.18.4 (mga#22245)

* Sat Nov 11 2017 luigiwalser <luigiwalser> 2.18.3-1.mga7
+ Revision: 1176856
- 2.18.3

* Thu Nov 02 2017 ns80 <ns80> 2.18.2-1.mga7
+ Revision: 1175525
- new version 2.18.2 (mga#21894)
- rediff patch fix-ftbfs-armel

* Wed Jul 26 2017 luigiwalser <luigiwalser> 2.16.6-1.mga7
+ Revision: 1131073
- 2.16.6

* Fri Jul 07 2017 luigiwalser <luigiwalser> 2.16.5-1.mga6
+ Revision: 1109431
- 2.16.5

* Fri Jun 23 2017 luigiwalser <luigiwalser> 2.16.4-1.mga6
+ Revision: 1108261
- 2.16.4

* Fri May 26 2017 luigiwalser <luigiwalser> 2.16.3-1.mga6
+ Revision: 1104888
- 2.16.3

* Sat May 13 2017 ovitters <ovitters> 2.16.2-1.mga6
+ Revision: 1100791
- new version 2.16.2

* Tue May 02 2017 akien <akien> 2.16.1-4.mga6
+ Revision: 1098648
- Fix conflicts with jsc packaged in both webkit2 and webkit2-jsc

* Sat Apr 22 2017 wally <wally> 2.16.1-3.mga6
+ Revision: 1097052
- add patch from Debian to fix ARM build

* Fri Apr 21 2017 wally <wally> 2.16.1-2.mga6
+ Revision: 1097006
- rebuild for ARM

* Fri Apr 07 2017 ns80 <ns80> 2.16.1-1.mga6
+ Revision: 1096078
- new version 2.16.1 that fix several crashes and rendering issues

* Wed Mar 29 2017 luigiwalser <luigiwalser> 2.16.0-1.mga6
+ Revision: 1095162
- 2.16.0

* Thu Mar 16 2017 mrambo3501 <mrambo3501> 2.14.5-2.mga6
+ Revision: 1093114
- Rebuild for icu-58.2

* Wed Feb 15 2017 ns80 <ns80> 2.14.5-1.mga6
+ Revision: 1086260
- 2.14.5

* Sun Feb 12 2017 luigiwalser <luigiwalser> 2.14.4-1.mga6
+ Revision: 1085867
- 2.14.4

* Tue Jan 31 2017 pterjan <pterjan> 2.14.3-2.mga6
+ Revision: 1084442
- Switch to Release build until RelWithDebInfo gets fixed (mga#19470)

* Wed Jan 18 2017 luigiwalser <luigiwalser> 2.14.3-1.mga6
+ Revision: 1082396
- 2.14.3

* Fri Nov 04 2016 luigiwalser <luigiwalser> 2.14.2-1.mga6
+ Revision: 1065373
- 2.14.2

* Wed Oct 26 2016 tv <tv> 2.14.1-3.mga6
+ Revision: 1063610
- fix description: this is WebKitGTK+, not WebKit
- use %%make_build
- no need to set CFLAGS after previous change
- myflags really is optflags
- more accurate summary

* Sat Oct 22 2016 tv <tv> 2.14.1-2.mga6
+ Revision: 1063186
- jsc is now installed into libexec instead of bin
+ luigiwalser <luigiwalser>
- 2.14.1

* Mon Sep 26 2016 tv <tv> 2.14.0-2.mga6
+ Revision: 1056768
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Sat Sep 24 2016 ovitters <ovitters> 2.14.0-1.mga6
+ Revision: 1055819
- new version 2.14.0

* Wed Sep 14 2016 luigiwalser <luigiwalser> 2.12.5-1.mga6
+ Revision: 1052920
- 2.12.5

* Thu Aug 25 2016 luigiwalser <luigiwalser> 2.12.4-1.mga6
+ Revision: 1048870
- rebuild for release

* Thu Aug 25 2016 wally <wally> 2.12.4-0.1.mga6
+ Revision: 1048742
- new version 2.12.4

* Sat Jun 11 2016 tv <tv> 2.12.3-3.mga6
+ Revision: 1021182
- actually llvm is not more used since webkit switched to B3

* Sat Jun 11 2016 tv <tv> 2.12.3-2.mga6
+ Revision: 1021141
- do not pull llvm

* Mon May 30 2016 luigiwalser <luigiwalser> 2.12.3-1.mga6
+ Revision: 1019446
- 2.12.3

* Fri May 13 2016 shlomif <shlomif> 2.12.2-2.mga6
+ Revision: 1014914
- Rebuild for new ICU

* Tue May 10 2016 luigiwalser <luigiwalser> 2.12.2-1.mga6
+ Revision: 1011822
- 2.12.2

* Mon Apr 25 2016 luigiwalser <luigiwalser> 2.12.1-1.mga6
+ Revision: 1006207
- 2.12.1

* Tue Mar 22 2016 tv <tv> 2.12.0-1.mga6
+ Revision: 994149
- new release

* Thu Mar 17 2016 luigiwalser <luigiwalser> 2.11.92-1.mga6
+ Revision: 992595
- 2.11.92

* Fri Mar 11 2016 luigiwalser <luigiwalser> 2.11.91-1.mga6
+ Revision: 989265
- 2.11.91

* Thu Mar 10 2016 blino <blino> 2.11.5-3.mga6
+ Revision: 988880
- rebuild for armv5tl (also missed in first Mga6 mass rebuild)

* Tue Feb 09 2016 luigiwalser <luigiwalser> 2.11.5-2.mga6
+ Revision: 952978
- 2.11.5

* Mon Jan 25 2016 luigiwalser <luigiwalser> 2.11.4-1.mga6
+ Revision: 927488
- 2.11.4
+ wally <wally>
- loosen requires to not defeat the purpose of libification

* Sat Jan 02 2016 luigiwalser <luigiwalser> 2.11.2-4.mga6
+ Revision: 918369
- rebuild for icu
+ tv <tv>
- BR llvm on x86_64
- new release

* Sat Nov 21 2015 blino <blino> 2.10.4-2.mga6
+ Revision: 904683
- disable JIT on armv5tl since there is no VFP

* Tue Nov 17 2015 luigiwalser <luigiwalser> 2.10.4-1.mga6
+ Revision: 903841
- 2.10.4

* Tue Nov 03 2015 blino <blino> 2.10.3-3.mga6
+ Revision: 897538
- remove -O2 -g from cmake RELWITHDEBINFO flags, since we want -g1 to be applied
- 2.10.2 (fixes build with cmake 3.4)
+ tv <tv>
- new release

* Mon Sep 28 2015 fwang <fwang> 2.10.0-3.mga6
+ Revision: 884337
- rebuild for new gst

* Wed Sep 23 2015 fwang <fwang> 2.10.0-2.mga6
+ Revision: 882421
- add more br
- add more br
- add wayland br
- disable gstreamer-gl for now, as we currently only have 1.4.5
- cleanup br

* Wed Sep 23 2015 fwang <fwang> 2.10.0-1.mga6
+ Revision: 882384
- br hyphen
- br geoclue
- requires libnotify
- 2.10.0

* Tue Aug 18 2015 luigiwalser <luigiwalser> 2.8.5-1.mga6
+ Revision: 865707
- 2.8.5

* Fri Jul 24 2015 cjw <cjw> 2.8.4-2.mga6
+ Revision: 856760
- rebuild for icu 55

* Mon Jul 20 2015 luigiwalser <luigiwalser> 2.8.4-1.mga6
+ Revision: 855788
- 2.8.4

* Mon Jun 22 2015 ovitters <ovitters> 2.8.3-1.mga6
+ Revision: 839807
- new version 2.8.3

* Fri Apr 17 2015 luigiwalser <luigiwalser> 2.6.6-1.mga5
+ Revision: 820355
- remove CVE-2015-2330 patch (fixed upstream)
- 2.6.6

* Wed Mar 18 2015 luigiwalser <luigiwalser> 2.6.5-2.mga5
+ Revision: 818873
- add upstream patch to fix CVE-2015-2330

* Fri Feb 13 2015 luigiwalser <luigiwalser> 2.6.5-1.mga5
+ Revision: 814862
- 2.6.5

* Fri Dec 19 2014 luigiwalser <luigiwalser> 2.6.4-1.mga5
+ Revision: 804320
- 2.6.4
+ fwang <fwang>
- use JAVASCRIPTCORE_VERSION_MAJOR macro rather than hardcode soversion

* Fri Oct 24 2014 fwang <fwang> 2.6.2-2.mga5
+ Revision: 792910
- force -j6 for more than 6 cpus
- bump rel
- 2.6.2

* Wed Oct 15 2014 umeabot <umeabot> 2.6.1-2.mga5
+ Revision: 745955
- Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 luigiwalser <luigiwalser> 2.6.1-1.mga5
+ Revision: 738653
- 2.6.1

* Tue Sep 30 2014 tv <tv> 2.6.0-3.mga5
+ Revision: 731942
- adjust gir requires

* Mon Sep 29 2014 tv <tv> 2.6.0-2.mga5
+ Revision: 731804
- add patch from suse: fixup the .gir file to contain the full library name for libjavascriptcore

* Mon Sep 29 2014 wally <wally> 2.6.0-1.mga5
+ Revision: 731714
- new version 2.6.0
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 2.5.3-3.mga5
+ Revision: 690286
- Mageia 5 Mass Rebuild

* Thu Aug 28 2014 fwang <fwang> 2.5.3-2.mga5
+ Revision: 669056
- drop obsoletes

* Thu Aug 28 2014 fwang <fwang> 2.5.3-1.mga5
+ Revision: 669027
- update file list
- build gtk port
- imported package webkit2

